@import "../variables"

.profile-row
  background-color: white
  padding: 40px 32px
  margin-left: 0
  .profile-wrap
    .profile__title
      margin-bottom: 35px
    .profile__list
      padding-left: 0
      list-style: none
      .profile__item
        height: 50px
        color: $text_gray
        .social__list
          display: flex
          align-items: center
          padding-left: 0
          list-style: none
          .social__item
            margin-right: 15px
            &:last-child
              margin-right: 0
            a
              &:hover
                img
                  filter: brightness(120%)
        .form-check
          .form-check-label
            margin-left: 10px
            color: $text_black
      .profile__item.black
        color: $text_black
      .profile__item.social
        margin: 45px 0
      .profile__item.changer
        .profile-changer-form
          .input-group
            .form-control
              background-color: white
              border: none
              width: unset
              max-width: 165px
              padding-left: 0
              color: $blue
            .input-group-prepend
              display: none
            .close_changer
              display: none
            .edit
              cursor: pointer
        .profile-changer-form.active
          .input-group
            height: 40px

            .form-control
              height: 40px
              border: none
              background-color: #F6F6F6
              padding-left: 10px
            .input-group-prepend
              display: flex
              justify-content: center
              align-items: center
              border: none
              width: 40px
              height: 40px
              &:focus
                outline: none
              .input-group-text
                background-color: unset
                border: none
            .close_changer
              margin-left: 15px
              cursor: pointer
              display: block
            .edit
              display: none




      .profile__item.sms
        margin-top: 10px
  .user-info
    background-color: #F4F4F4
    border: 1px solid #E7E7E7
    border-radius: 4px
    .user-wrap
      display: flex
      flex-direction: column
      align-items: center
      padding: 20px
      img
        margin-bottom: 20px
      .user__text
        text-align: center
    .user-progress
      background-color: white
      padding: 35px 25px 40px
      .progress__list
        display: flex
        align-items: center
        justify-content: center
        padding-left: 0
        list-style: none
        .progress__item
          margin-right: 5px
          .progress-bg
            background-color: $blue
            height: 5px
            width: 40px
          .progress__item__text
            display: block
            margin-top: 20px
            color: $blue
            text-align: center
        .progress__item.not-filled
          .progress-bg
            background-color: $light_blue
          .progress__item__text
            color: $light_blue


///password
.password-section
  .wrap
    background-color: white
    padding: 40px 32px
    .password__title
      margin-bottom: 30px
    .password-content
      .content__list
        list-style: none
        padding-left: 0
        .content__item
          height: 50px
          color: $text_gray
        .buttons
          display: flex
          align-items: center
          margin-top: 40px
          .content__link
            margin-right: 40px
      .password-form
        .input-group
          margin-bottom: 10px
          &:last-child
            margin-bottom: 0
          .form-control
            height: 40px
            background-color: #F6F6F6
            border: unset

